Boa Constructor 0.4.4 - Probleme bei StartUp

Plattformunabhängige GUIs mit wxWidgets.
coyote
User
Beiträge: 2
Registriert: Sonntag 19. November 2006, 14:53
Wohnort: Passau

Boa Constructor 0.4.4 - Probleme bei StartUp

Beitragvon coyote » Sonntag 19. November 2006, 19:04

Hallo !

Ich bin neu in diesem Forum und möchte euch herzlich begrüßen. Ich beschäftige mich mit der Einarbeitung in Python und seinen Möglichkeiten (GUIs, ooP, etc).

Momentan läuft auf meinen W2K Rechner Python 2.5 zusammen mit wxPython 2.7.2.0. Heute habe ich mir Boa Constructor 0.4.4 installiert.

Die Installation verlief reibungslos. Beim Start von Boa kam nach dem Begrüßungsbildschirm der Fehler 'module' Object has no attribute 'NotebookSizer'.

Ich starte Boa über \Python25\Lib\site-packages\boa-constructor\boa.pyc.

1. Ist dies die richtige kompilierte Python Datei, um das Boa Hauptprogramm zu starten?
2. Die Datei SizerCompanions.py enhält folgenden Codeabschnitt:

Code: Alles auswählen

class NotebookSizerDTC(ControlLinkedSizerDTC):
    LinkClass = wx.Notebook
    ctrlParam = 'nb'
    def __init__(self, name, designer, objClass):
        ControlLinkedSizerDTC.__init__(self, name, designer, objClass)
        self.editors['Notebook'] = ReadOnlyConstrPropEdit

    def constructor(self):
        return {'Name': 'name', 'Notebook': 'nb'}

    def designTimeSource(self):
        wx.LogWarning('wx.NotebookSizer no longer needed, please remove from source. Support will be removed.')
        return {'nb': 'None'}


Kann es demnach sein, dass Boa den wx.NotebookSizer erwartet, welcher allerdings (anscheinend) in wxPython 2.7.2.0 obsolet geworden ist?

Vielen Dank für euere Hilfe!
mfg Alex
es gibt 10 arten von menschen - die die binär verstehen, und die die es nicht tun !
george
User
Beiträge: 109
Registriert: Mittwoch 11. Januar 2006, 20:28
Wohnort: Berlin

Beitragvon george » Montag 20. November 2006, 15:33

Hey coyote,

das Problem wird durch deine wxPython-Version(2.7.2.0) verursacht.
Deine angegebene Version von Boa wurde für/mit einer älteren Version(z.B. 2.6.xx) von wxPython entwickelt.
Wenn du unbedingt Boa verwenden möchtest, dann mußt du eine ältere Version von wxPython benutzen.

Francesco hat mal folgende, nützliche Seite erstellt:
[url]
http://wiki.wxpython.org/index.cgi/wxPythonPit_Apps
[/url]
Dort findest du sinnvolle Hinweise zu wxPython-Tools

greets george
coyote
User
Beiträge: 2
Registriert: Sonntag 19. November 2006, 14:53
Wohnort: Passau

Beitragvon coyote » Montag 20. November 2006, 20:21

Hallo george !

Vielen Dank für deine prompte Antwort. Boa Constructor startet jetzt tadellos.

mfg Alex
es gibt 10 arten von menschen - die die binär verstehen, und die die es nicht tun !

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder